Page MenuHomePhabricator

Geohack should be mobile friendly
Closed, ResolvedPublic

Description

https://tools.wmflabs.org/geohack/geohack.php?pagename=San_Francisco&params=37_47_N_122_25_W_type:city(852469)_region:US-CA does not render nicely on a mobile display.

I do not know who maintains this but it should be adjusted for mobile rendering.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Toolforge.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 22 2015, 7:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
valhallasw set Security to None.
valhallasw added subscribers: Kolossos, Magnus.
Thgoiter added a subscriber: scfc.Jul 29 2015, 8:36 AM

Maybe replacing Geohack with Extension:MapSources could solve this?

I think it is more useful to replace it with Extension:MapSources (NB: Capital S, Extension:Mapsources is mine and similar, but different). That is already deployed on the WMF cluster for Wikivoyage.

This extension effectively already is Geohack's code wrapped in a MediaWiki extension. It needs some updates and maybe enhancing to support the features that have been added to Geohack since, but IMHO the way to proceed on this matter.

Sample url: https://en.m.wikivoyage.org/w/index.php?title=Special:MapSources&params=52%C2%B0+31%E2%80%B2+N%2C+13%C2%B0+24%E2%80%B2+30%E2%80%B3+E%2C+scale%3D50000
@Thogoiter thanks for the suggestion. Yes, potentially that could be a suitable replacement, but it too suffers from not being mobile friendly and would need to be optimised for mobile screens. The map should be the most prominent thing here when parameters have been given, not the form and the map requires scrolling. Are there bugs open for that?

Jdlrobson triaged this task as High priority.Sep 16 2015, 6:16 PM
Abbe98 added a subscriber: Abbe98.Jun 24 2016, 4:24 PM
Ailura added a subscriber: Ailura.Jun 26 2016, 11:46 AM
Boshomi added a subscriber: Boshomi.
Yurik added a subscriber: Yurik.Nov 10 2016, 3:54 AM

I think we should migrate GeoHack to <maplink> - T137253 - which already has a good support for mobile devices. For example, see this page on a mobile device, and click "more details" once the map opens. I don't think there is an easy way to fix existing geohack for mobile, nor is there a reason to do it. If there is, we should try to migrate that reason to the new maps as well :)

Dispenser closed this task as Resolved.Nov 13 2016, 8:15 PM
Dispenser claimed this task.
Dispenser added a subscriber: Dispenser.

The theme is responsive now. The following CSS classes nomobile, mobileonly, and mobile-linearize have been added.